import request from '@/utils/request'

//岗位列表查询
export function GetJobList (params) {
  return request({
    url: '/api/fs4a/GetJobList/v1',
    method: 'post',
    data: params
  })
}

//新增岗位
export function SaveJob (params) {
  return request({
    url: '/api/fs4a/SaveJob/v1',
    method: 'post',
    data: params,
  })
}
//修改岗位状态
export function ChangeJobStatus (params) {
  return request({
    url: '/api/fs4a/ChangeJobStatus/v1',
    method: 'post',
    data: params,
  })
}

//编辑岗位
export function EditJob (params) {
  return request({
    url: '/api/fs4a/EditJob/v1',
    method: 'post',
    data: params,
  })
}
//删除岗位
export function DeleteJob (params) {
  return request({
    url: '/api/fs4a/DeleteJob/v1',
    method: 'post',
    data: params,
  })
}

//根据岗位获取权限
export function GetAuthTreeByJob (params) {
  return request({
    url: '/api/fs4a/GetAuthTreeByJob/v1',
    method: 'post',
    data: params,
  })
}

//岗位详情
export function GetJobDetails (params) {
  return request({
    url: '/api/fs4a/GetJobDetails/v1',
    method: 'post',
    data: params,
  })
}

//根据岗位获取角色
export function GetRoleByJob (params) {
  return request({
    url: '/api/fs4a/GetRoleByJob/v1',
    method: 'post',
    data: params,
  })
}

//根据组织查询职员列表
export function GetOfficerListByOrganId (params) {
  return request({
    url: '/api/fs4a/GetOfficerListByOrganId/v1',
    method: 'post',
    data: params,
  })
}